org.apache.ignite.internal.processors.hadoop

## Interface HadoopPartitioner

    public interface HadoopPartitioner

Partitioner.

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `partition(Object key, Object val, int parts)` Gets partition which is actually a reducer index for the given key and value pair.

### Method Detail

#### partition

    int partition(Object key,
                  Object val,
                  int parts)

Gets partition which is actually a reducer index for the given key and value pair.

Parameters:
  `key` - Key.
  `val` - Value.
  `parts` - Number of partitions.
Returns:
  Partition.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019